## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStream::UnknownEncodingException Class Reference

`#include <XalanOutputStream.hpp>`

Inheritance diagram for XalanOutputStream::UnknownEncodingException:

[legend]
Collaboration diagram for XalanOutputStream::UnknownEncodingException:

[legend]
List of all members.

## Public Methods

- UnknownEncodingException (XalanDOMString &theBuffer)
- virtual ~UnknownEncodingException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XalanOutputStream::UnknownEncodingException::UnknownEncodingException ( | XalanDOMString & theBuffer )`[explicit]`

XalanOutputStream::UnknownEncodingException::~UnknownEncodingException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XalanOutputStream::UnknownEncodingException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.